POST
/
v1
/
channels
/
{channelID}
/
analytics
/
templates
Get template analytics
curl --request POST \
  --url https://api.wazapin.com/v1/channels/{channelID}/analytics/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "end": 123,
  "start": 123,
  "template_ids": [
    "<string>"
  ],
  "metric_types": [
    "<string>"
  ]
}
'
{
  "data": {
    "data": [
      {
        "data_points": [
          {
            "clicked": [
              {
                "button_content": "<string>",
                "count": 123,
                "type": "<string>"
              }
            ],
            "cost": [
              {
                "type": "<string>",
                "value": 123
              }
            ],
            "delivered": 123,
            "end": 123,
            "read": 123,
            "sent": 123,
            "start": 123,
            "template_id": "<string>"
          }
        ],
        "granularity": "<string>",
        "product_type": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Path Parameters

channelID
string
required

Channel ID

Body

application/json
end
integer<int64>
required

End timestamp (Unix epoch)

start
integer<int64>
required

Start timestamp (Unix epoch)

template_ids
string[] | null
required

Template IDs (1-10)

Required array length: 1 - 10 elements
metric_types
string[] | null

Metric types to retrieve

Response

OK

data
object
required